config:
  startup_closed_loop_control: false
motor:
  config:
    current_lim: 38.0
    calibration_current: 10.0
    current_lim_margin: 0.0
    resistance_calib_max_voltage: 2.0
    requested_current_range: 40.0
    torque_constant: 0.02329577464
    pole_pairs: 7
    current_control_bandwidth: 1000
    kv: 210
encoder:
  config:
    calib_scan_distance: 24
    use_index: true
    mode: 512
    cpr: 6400
    lin_inc_enc_orientation: -1
controller:
  config:
    vel_limit: 40
    pos_gain: 14
    vel_gain: 0.2
    enable_current_mode_vel_limit: true
    enable_overspeed_error: false
    spinout_electrical_power_threshold: 30.0
    spinout_mechanical_power_threshold: -30.0
    input_mode: 10
    input_filter_bandwidth: 9.0
    gain_scheduling: false
